/*
 * $Id: BasicFileLocatorTest.java,v 1.1 2006/04/11 16:17:48 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/04/03
 */
package feat2.test;

import java.io.File;

import feat2.config.BasicFileLocator;
import feat2.config.FileLocator;

import junit.framework.TestCase;

/**
 * BasicFileLocatorのテスト。
 * @author SUGIMOTO Ken-ichi
 */
public class BasicFileLocatorTest extends TestCase {

    public void testBasicfileLocator() throws Exception {
        FileLocator fl = new BasicFileLocator(new File("E:\\user\\projects_eclipse3\\feat\\web\\WEB-INF\\feat-config.xml"));
        System.out.println("lastModified:"+fl.getLastModified());
        System.out.println("exists:"+fl.exists());
        System.out.println("filename:"+fl.getFilename());
        System.out.println("URIString:"+fl.getURIString());
        System.out.println("newLocation:"+fl.newLocation("login.xml"));
    }

}
